import { SmzMultiTablesState } from '../../modules/smz-multi-tables/multi-tables.state';
import { SmzMultiTablesTabBuilder } from './tab-builder';
import { SmzBuilderUtilities } from '../common/smz-builder-utilities';
export declare class SmzMultiTablesBuilder extends SmzBuilderUtilities<SmzMultiTablesBuilder> {
    protected that: this;
    _state: SmzMultiTablesState;
    constructor();
    setTitle(styleClass: string): SmzMultiTablesBuilder;
    tab(label: string): SmzMultiTablesTabBuilder;
    debugMode(): SmzMultiTablesBuilder;
    build(): SmzMultiTablesState;
}
